org.apache.sysds.hops.codegen

## Enum SpoofCompiler.GeneratorAPI

- java.lang.Object
- - java.lang.Enum<SpoofCompiler.GeneratorAPI>
  - - org.apache.sysds.hops.codegen.SpoofCompiler.GeneratorAPI

- All Implemented Interfaces:
    Serializable, Comparable<SpoofCompiler.GeneratorAPI>
  Enclosing class:
    SpoofCompiler

      public static enum SpoofCompiler.GeneratorAPI
      extends Enum<SpoofCompiler.GeneratorAPI>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO`
    `CUDA`
    `JAVA`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isJava()`
    `static SpoofCompiler.GeneratorAPI` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpoofCompiler.GeneratorAPI[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final SpoofCompiler.GeneratorAPI AUTO

    - #### JAVA

          public static final SpoofCompiler.GeneratorAPI JAVA

    - #### CUDA

          public static final SpoofCompiler.GeneratorAPI CUDA

  - ### Method Detail

    - #### values

          public static SpoofCompiler.GeneratorAPI[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpoofCompiler.GeneratorAPI c : SpoofCompiler.GeneratorAPI.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpoofCompiler.GeneratorAPI valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isJava

          public boolean isJava()

Copyright © 2021 The Apache Software Foundation. All rights reserved.